Skip to main content
GET
/
api
/
supply-chain
/
v1
/
get-pipeline-detail
GetPipelineDetail
curl --request GET \
  --url https://api.example.com/api/supply-chain/v1/get-pipeline-detail
{
  "pipeline": {
    "id": "<string>",
    "name": "<string>",
    "operator": "<string>",
    "commodityType": "<string>",
    "fromCountry": "<string>",
    "toCountry": "<string>",
    "transitCountries": [
      "<string>"
    ],
    "capacityBcmYr": 123,
    "capacityMbd": 123,
    "lengthKm": 123,
    "inService": 123,
    "startPoint": {
      "lat": 123,
      "lon": 123
    },
    "endPoint": {
      "lat": 123,
      "lon": 123
    },
    "waypoints": [
      {
        "lat": 123,
        "lon": 123
      }
    ],
    "evidence": {
      "physicalState": "<string>",
      "physicalStateSource": "<string>",
      "operatorStatement": {
        "text": "<string>",
        "url": "<string>",
        "date": "<string>"
      },
      "commercialState": "<string>",
      "sanctionRefs": [
        {
          "authority": "<string>",
          "listId": "<string>",
          "date": "<string>",
          "url": "<string>"
        }
      ],
      "lastEvidenceUpdate": "<string>",
      "classifierVersion": "<string>",
      "classifierConfidence": 123
    },
    "publicBadge": "<string>"
  },
  "revisions": [
    {
      "date": "<string>",
      "fieldChanged": "<string>",
      "previousValue": "<string>",
      "newValue": "<string>",
      "trigger": "<string>",
      "sourcesUsed": [
        "<string>"
      ],
      "classifierVersion": "<string>"
    }
  ],
  "fetchedAt": "<string>",
  "unavailable": true
}

Documentation Index

Fetch the complete documentation index at: https://worldmonitor.app/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

pipelineId
string

Response

Successful response

pipeline
object
revisions
object[]
fetchedAt
string
unavailable
boolean